Index: trunk/src/org/openstreetmap/josm/gui/conflict/tags/TagConflictResolverModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/conflict/tags/TagConflictResolverModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/conflict/tags/TagConflictResolverModel.java	(revision 8308)
@@ -22,8 +22,8 @@
     public static final String NUM_CONFLICTS_PROP = TagConflictResolverModel.class.getName() + ".numConflicts";
 
-    private TagCollection tags;
-    private List<String> displayedKeys;
-    private Set<String> keysWithConflicts;
-    private Map<String, MultiValueResolutionDecision> decisions;
+    private transient TagCollection tags;
+    private transient List<String> displayedKeys;
+    private transient Set<String> keysWithConflicts;
+    private transient Map<String, MultiValueResolutionDecision> decisions;
     private int numConflicts;
     private PropertyChangeSupport support;
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/CommandListMutableTreeNode.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/CommandListMutableTreeNode.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/CommandListMutableTreeNode.java	(revision 8308)
@@ -12,5 +12,5 @@
 public class CommandListMutableTreeNode extends DefaultMutableTreeNode {
 
-    protected PseudoCommand cmd;
+    protected transient PseudoCommand cmd;
     protected int idx;
 
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/CommandStackDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/CommandStackDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/CommandStackDialog.java	(revision 8308)
@@ -63,6 +63,6 @@
     private final JTree redoTree = new JTree(redoTreeModel);
 
-    private UndoRedoSelectionListener undoSelectionListener;
-    private UndoRedoSelectionListener redoSelectionListener;
+    private transient UndoRedoSelectionListener undoSelectionListener;
+    private transient UndoRedoSelectionListener redoSelectionListener;
 
     private JScrollPane scrollPane;
@@ -246,5 +246,5 @@
      * Simple listener setup to update the button enabled state when the side dialog shows.
      */
-    private Set<IEnabledStateUpdating> showNotifyListener = new LinkedHashSet<>();
+    private transient Set<IEnabledStateUpdating> showNotifyListener = new LinkedHashSet<>();
 
     private void addShowNotifyListener(IEnabledStateUpdating listener) {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/ConflictDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/ConflictDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/ConflictDialog.java	(revision 8308)
@@ -77,13 +77,13 @@
 
     /** the collection of conflicts displayed by this conflict dialog */
-    private ConflictCollection conflicts;
+    private transient ConflictCollection conflicts;
 
     /** the model for the list of conflicts */
-    private ConflictListModel model;
+    private transient ConflictListModel model;
     /** the list widget for the list of conflicts */
     private JList<OsmPrimitive> lstConflicts;
 
     private final JPopupMenu popupMenu = new JPopupMenu();
-    private final PopupMenuHandler popupMenuHandler = new PopupMenuHandler(popupMenu);
+    private final transient PopupMenuHandler popupMenuHandler = new PopupMenuHandler(popupMenu);
 
     private ResolveAction actResolve;
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/DialogsPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/DialogsPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/DialogsPanel.java	(revision 8308)
@@ -19,5 +19,5 @@
 
 public class DialogsPanel extends JPanel implements Destroyable {
-    protected List<ToggleDialog> allDialogs = new ArrayList<>();
+    protected transient List<ToggleDialog> allDialogs = new ArrayList<>();
     protected MultiSplitPane mSpltPane = new MultiSplitPane();
     protected static final int DIVIDER_SIZE = 5;
@@ -26,5 +26,5 @@
      * Panels that are added to the multisplitpane.
      */
-    private List<JPanel> panels = new ArrayList<>();
+    private transient List<JPanel> panels = new ArrayList<>();
 
     private final JSplitPane parent;
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/FilterDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/FilterDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/FilterDialog.java	(revision 8308)
@@ -368,5 +368,5 @@
     abstract class AbstractFilterAction extends AbstractAction implements MultikeyShortcutAction {
 
-        protected Filter lastFilter;
+        protected transient Filter lastFilter;
 
         @Override
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/FilterTableModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/FilterTableModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/FilterTableModel.java	(revision 8308)
@@ -54,6 +54,6 @@
     }
 
-    private final List<Filter> filters = new LinkedList<>();
-    private final FilterMatcher filterMatcher = new FilterMatcher();
+    private final transient List<Filter> filters = new LinkedList<>();
+    private final transient FilterMatcher filterMatcher = new FilterMatcher();
 
     private void updateFilters() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/InspectPrimitiveDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/InspectPrimitiveDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/InspectPrimitiveDialog.java	(revision 8308)
@@ -60,6 +60,6 @@
 public class InspectPrimitiveDialog extends ExtendedDialog {
 
-    protected List<OsmPrimitive> primitives;
-    protected OsmDataLayer layer;
+    protected transient List<OsmPrimitive> primitives;
+    protected transient OsmDataLayer layer;
     private JosmTextArea txtMappaint;
     private boolean mappaintTabLoaded;
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/LayerListDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/LayerListDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/LayerListDialog.java	(revision 8308)
@@ -133,5 +133,5 @@
     }
 
-    private final Shortcut[] visibilityToggleShortcuts = new Shortcut[10];
+    private final transient Shortcut[] visibilityToggleShortcuts = new Shortcut[10];
     private final ToggleLayerIndexVisibility[] visibilityToggleActions = new ToggleLayerIndexVisibility[10];
 
@@ -440,6 +440,6 @@
     public final class ShowHideLayerAction extends AbstractAction implements IEnabledStateUpdating, LayerAction, MultikeyShortcutAction {
 
-        private WeakReference<Layer> lastLayer;
-        private Shortcut multikeyShortcut;
+        private transient WeakReference<Layer> lastLayer;
+        private transient Shortcut multikeyShortcut;
 
         /**
@@ -526,5 +526,5 @@
      */
     public final class LayerOpacityAction extends AbstractAction implements IEnabledStateUpdating, LayerAction {
-        private Layer layer;
+        private transient Layer layer;
         private JPopupMenu popup;
         private JSlider slider = new JSlider(JSlider.VERTICAL);
@@ -637,6 +637,6 @@
 
     public final class ActivateLayerAction extends AbstractAction implements IEnabledStateUpdating, MapView.LayerChangeListener, MultikeyShortcutAction{
-        private  Layer layer;
-        private Shortcut multikeyShortcut;
+        private transient Layer layer;
+        private transient Shortcut multikeyShortcut;
 
         /**
@@ -749,5 +749,5 @@
      */
     public final class MergeAction extends AbstractAction implements IEnabledStateUpdating {
-        private  Layer layer;
+        private transient Layer layer;
 
         /**
@@ -824,5 +824,5 @@
      */
     public final class DuplicateAction extends AbstractAction implements IEnabledStateUpdating {
-        private Layer layer;
+        private transient Layer layer;
 
         /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/LayerListPopup.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/LayerListPopup.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/LayerListPopup.java	(revision 8308)
@@ -32,5 +32,5 @@
 
     public static final class InfoAction extends AbstractAction {
-        private final Layer layer;
+        private final transient Layer layer;
 
         /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/MapPaintDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/MapPaintDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/MapPaintDialog.java	(revision 8308)
@@ -206,5 +206,5 @@
     protected class StylesModel extends AbstractTableModel implements MapPaintSylesUpdateListener {
 
-        private List<StyleSource> data = new ArrayList<>();
+        private transient List<StyleSource> data = new ArrayList<>();
 
         public StylesModel() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/NotesDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/NotesDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/NotesDialog.java	(revision 8308)
@@ -87,5 +87,5 @@
     private final UploadNotesAction uploadAction;
 
-    private NoteData noteData;
+    private transient NoteData noteData;
 
     /** Creates a new toggle dialog for notes */
@@ -261,5 +261,5 @@
 
     class NoteTableModel extends AbstractListModel<Note> {
-        private List<Note> data;
+        private transient List<Note> data;
 
         public NoteTableModel() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/OsmIdSelectionDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/OsmIdSelectionDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/OsmIdSelectionDialog.java	(revision 8308)
@@ -51,5 +51,5 @@
     protected final OsmIdTextField tfId = new OsmIdTextField();
     protected final HistoryComboBox cbId = new HistoryComboBox();
-    protected final GroupLayout layout = new GroupLayout(panel);
+    protected final transient GroupLayout layout = new GroupLayout(panel);
 
     public OsmIdSelectionDialog(Component parent, String title, String[] buttonTexts) {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/RelationListDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/RelationListDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/RelationListDialog.java	(revision 8308)
@@ -96,5 +96,5 @@
     /** the popup menu and its handler */
     private final JPopupMenu popupMenu = new JPopupMenu();
-    private final PopupMenuHandler popupMenuHandler = new PopupMenuHandler(popupMenu);
+    private final transient PopupMenuHandler popupMenuHandler = new PopupMenuHandler(popupMenu);
 
     private final JosmTextField filter;
@@ -116,5 +116,5 @@
     private final AddSelectionToRelations addSelectionToRelations = new AddSelectionToRelations();
 
-    private final HighlightHelper highlightHelper = new HighlightHelper();
+    private final transient HighlightHelper highlightHelper = new HighlightHelper();
     private boolean highlightEnabled = Main.pref.getBoolean("draw.target-highlight", true);
 
@@ -390,8 +390,8 @@
      */
     private class RelationListModel extends AbstractListModel<Relation> {
-        private final List<Relation> relations = new ArrayList<>();
-        private List<Relation> filteredRelations;
+        private final transient List<Relation> relations = new ArrayList<>();
+        private transient List<Relation> filteredRelations;
         private DefaultListSelectionModel selectionModel;
-        private SearchCompiler.Match filter;
+        private transient SearchCompiler.Match filter;
 
         public RelationListModel(DefaultListSelectionModel selectionModel) {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/SelectionListDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/SelectionListDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/SelectionListDialog.java	(revision 8308)
@@ -98,5 +98,5 @@
     /** the popup menu and its handler */
     private final ListPopupMenu popupMenu;
-    private final PopupMenuHandler popupMenuHandler;
+    private final transient PopupMenuHandler popupMenuHandler;
 
     /**
@@ -477,5 +477,5 @@
         // Variable to store history from currentDataSet()
         private LinkedList<Collection<? extends OsmPrimitive>> history;
-        private final List<OsmPrimitive> selection = new ArrayList<>();
+        private final transient List<OsmPrimitive> selection = new ArrayList<>();
         private DefaultListSelectionModel selectionModel;
 
@@ -737,5 +737,5 @@
      */
     protected static class SearchMenuItem extends JMenuItem implements ActionListener {
-        protected final SearchSetting s;
+        protected final transient SearchSetting s;
 
         public SearchMenuItem(SearchSetting s) {
@@ -778,6 +778,6 @@
      */
     protected static class SelectionMenuItem extends JMenuItem implements ActionListener {
-        private final DefaultNameFormatter df = DefaultNameFormatter.getInstance();
-        protected Collection<? extends OsmPrimitive> sel;
+        private final transient DefaultNameFormatter df = DefaultNameFormatter.getInstance();
+        protected transient Collection<? extends OsmPrimitive> sel;
 
         public SelectionMenuItem(Collection<? extends OsmPrimitive> sel) {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/ToggleDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/ToggleDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/ToggleDialog.java	(revision 8308)
@@ -95,5 +95,5 @@
     public static final BooleanProperty PROP_DYNAMIC_BUTTONS = new BooleanProperty("dialog.dynamic.buttons", false);
 
-    private final ParametrizedEnumProperty<ButtonHidingType> PROP_BUTTON_HIDING = new ParametrizedEnumProperty<ToggleDialog.ButtonHidingType>(
+    private final transient ParametrizedEnumProperty<ButtonHidingType> PROP_BUTTON_HIDING = new ParametrizedEnumProperty<ToggleDialog.ButtonHidingType>(
             ButtonHidingType.class, ButtonHidingType.DYNAMIC) {
         @Override
@@ -152,5 +152,5 @@
     protected JToggleButton button;
     private JPanel buttonsPanel;
-    private List<javax.swing.Action> buttonActions = new ArrayList<>();
+    private transient List<javax.swing.Action> buttonActions = new ArrayList<>();
 
     /** holds the menu entry in the windows menu. Required to properly
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/UserListDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/UserListDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/UserListDialog.java	(revision 8308)
@@ -279,5 +279,5 @@
      */
     static class UserTableModel extends DefaultTableModel {
-        private List<UserInfo> data;
+        private transient List<UserInfo> data;
 
         public UserTableModel() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/ValidatorDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/ValidatorDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/ValidatorDialog.java	(revision 8308)
@@ -78,10 +78,10 @@
 
     private final JPopupMenu popupMenu = new JPopupMenu();
-    private final PopupMenuHandler popupMenuHandler = new PopupMenuHandler(popupMenu);
+    private final transient PopupMenuHandler popupMenuHandler = new PopupMenuHandler(popupMenu);
 
     /** Last selected element */
     private DefaultMutableTreeNode lastSelectedNode = null;
 
-    private OsmDataLayer linkedLayer;
+    private transient OsmDataLayer linkedLayer;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetCacheManagerModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetCacheManagerModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetCacheManagerModel.java	(revision 8308)
@@ -30,7 +30,7 @@
     public static final String CHANGESET_IN_DETAIL_VIEW_PROP = ChangesetCacheManagerModel.class.getName() + ".changesetInDetailView";
 
-    private final List<Changeset> data = new ArrayList<>();
+    private final transient List<Changeset> data = new ArrayList<>();
     private DefaultListSelectionModel selectionModel;
-    private Changeset changesetInDetailView;
+    private transient Changeset changesetInDetailView;
     private final PropertyChangeSupport support = new PropertyChangeSupport(this);
 
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetContentPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetContentPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetContentPanel.java	(revision 8308)
@@ -62,5 +62,5 @@
 
     private ChangesetContentTableModel model;
-    private Changeset currentChangeset;
+    private transient Changeset currentChangeset;
 
     private DownloadChangesetContentAction actDownloadContentAction;
@@ -421,5 +421,5 @@
 
         private JMultilineLabel lblMessage;
-        private Changeset current;
+        private transient Changeset current;
 
         protected final void build() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetContentTableModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetContentTableModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetContentTableModel.java	(revision 8308)
@@ -24,5 +24,5 @@
 public class ChangesetContentTableModel extends AbstractTableModel {
 
-    private final List<ChangesetContentEntry> data = new ArrayList<>();
+    private final transient List<ChangesetContentEntry> data = new ArrayList<>();
     private DefaultListSelectionModel selectionModel;
 
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDetailPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDetailPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDetailPanel.java	(revision 8308)
@@ -64,5 +64,5 @@
     private final ZoomInCurrentLayerAction       actZoomInCurrentLayerAction = new ZoomInCurrentLayerAction();
 
-    private Changeset current = null;
+    private transient Changeset current = null;
 
     protected JPanel buildActionButtonPanel() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDiscussionPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDiscussionPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDiscussionPanel.java	(revision 8308)
@@ -40,5 +40,5 @@
     private JTable table;
 
-    private Changeset current = null;
+    private transient Changeset current = null;
 
     protected JPanel buildActionButtonPanel() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDiscussionTableModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDiscussionTableModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetDiscussionTableModel.java	(revision 8308)
@@ -15,5 +15,5 @@
 public class ChangesetDiscussionTableModel extends AbstractTableModel {
 
-    private final List<ChangesetDiscussionComment> data = new ArrayList<>();
+    private final transient List<ChangesetDiscussionComment> data = new ArrayList<>();
 
     @Override
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetListModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetListModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/ChangesetListModel.java	(revision 8308)
@@ -22,6 +22,6 @@
 
 public class ChangesetListModel extends DefaultListModel<Changeset> implements ChangesetCacheListener {
-    private final List<Changeset> data = new ArrayList<>();
-    private final Storage<Changeset> shownChangesets = new Storage<>(true);
+    private final transient List<Changeset> data = new ArrayList<>();
+    private final transient Storage<Changeset> shownChangesets = new Storage<>(true);
     private DefaultListSelectionModel selectionModel;
 
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/query/AdvancedChangesetQueryPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/query/AdvancedChangesetQueryPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/query/AdvancedChangesetQueryPanel.java	(revision 8308)
@@ -379,7 +379,7 @@
         private JRadioButton rbRestrictToUserName;
         private JosmTextField tfUid;
-        private UidInputFieldValidator valUid;
+        private transient UidInputFieldValidator valUid;
         private JosmTextField tfUserName;
-        private UserNameInputValidator valUserName;
+        private transient UserNameInputValidator valUserName;
         private JMultilineLabel lblRestrictedToMyself;
 
@@ -639,15 +639,15 @@
         private JRadioButton rbClosedAfterAndCreatedBefore;
         private JosmTextField tfClosedAfterDate1;
-        private DateValidator valClosedAfterDate1;
+        private transient DateValidator valClosedAfterDate1;
         private JosmTextField tfClosedAfterTime1;
-        private TimeValidator valClosedAfterTime1;
+        private transient TimeValidator valClosedAfterTime1;
         private JosmTextField tfClosedAfterDate2;
-        private DateValidator valClosedAfterDate2;
+        private transient DateValidator valClosedAfterDate2;
         private JosmTextField tfClosedAfterTime2;
-        private TimeValidator valClosedAfterTime2;
+        private transient TimeValidator valClosedAfterTime2;
         private JosmTextField tfCreatedBeforeDate;
-        private DateValidator valCreatedBeforeDate;
+        private transient DateValidator valCreatedBeforeDate;
         private JosmTextField tfCreatedBeforeTime;
-        private TimeValidator valCreatedBeforeTime;
+        private transient TimeValidator valCreatedBeforeTime;
 
         protected JPanel buildClosedAfterInputPanel() {
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/query/BasicChangesetQueryPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/query/BasicChangesetQueryPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/changeset/query/BasicChangesetQueryPanel.java	(revision 8308)
@@ -41,6 +41,6 @@
     }
 
-    private Map<BasicQuery, JRadioButton> rbQueries;
-    private Map<BasicQuery, JMultilineLabel> lblQueries;
+    private transient Map<BasicQuery, JRadioButton> rbQueries;
+    private transient Map<BasicQuery, JMultilineLabel> lblQueries;
     private JCheckBox cbMyChangesetsOnly;
 
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/properties/PropertiesDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/properties/PropertiesDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/properties/PropertiesDialog.java	(revision 8308)
@@ -153,15 +153,15 @@
 
     // Popup menu handlers
-    private final PopupMenuHandler tagMenuHandler = new PopupMenuHandler(tagMenu);
-    private final PopupMenuHandler membershipMenuHandler = new PopupMenuHandler(membershipMenu);
-    private final PopupMenuHandler blankSpaceMenuHandler = new PopupMenuHandler(blankSpaceMenu);
-
-    private final Map<String, Map<String, Integer>> valueCount = new TreeMap<>();
+    private final transient PopupMenuHandler tagMenuHandler = new PopupMenuHandler(tagMenu);
+    private final transient PopupMenuHandler membershipMenuHandler = new PopupMenuHandler(membershipMenu);
+    private final transient PopupMenuHandler blankSpaceMenuHandler = new PopupMenuHandler(blankSpaceMenu);
+
+    private final transient Map<String, Map<String, Integer>> valueCount = new TreeMap<>();
     /**
      * This sub-object is responsible for all adding and editing of tags
      */
-    private final TagEditHelper editHelper = new TagEditHelper(tagData, valueCount);
-
-    private final DataSetListenerAdapter dataChangedAdapter = new DataSetListenerAdapter(this);
+    private final transient TagEditHelper editHelper = new TagEditHelper(tagData, valueCount);
+
+    private final transient DataSetListenerAdapter dataChangedAdapter = new DataSetListenerAdapter(this);
     private final HelpAction helpAction = new HelpAction();
     private final PasteValueAction pasteValueAction = new PasteValueAction();
@@ -187,5 +187,5 @@
     private final SelectMembersAction addMembersToSelectionAction = new SelectMembersAction(true);
 
-    private final HighlightHelper highlightHelper= new HighlightHelper();
+    private final transient HighlightHelper highlightHelper= new HighlightHelper();
 
     /**
@@ -212,5 +212,5 @@
             + tr("Select objects for which to change tags.") + "</p></html>");
 
-    private final PresetHandler presetHandler = new PresetHandler() {
+    private final transient PresetHandler presetHandler = new PresetHandler() {
         @Override public void updateTags(List<Tag> tags) {
             Command command = TaggingPreset.createCommand(getSelection(), tags);
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/properties/TagEditHelper.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/properties/TagEditHelper.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/properties/TagEditHelper.java	(revision 8308)
@@ -242,7 +242,7 @@
     public final class EditTagDialog extends AbstractTagsDialog {
         private final String key;
-        private final Map<String, Integer> m;
-
-        private Comparator<AutoCompletionListItem> usedValuesAwareComparator = new Comparator<AutoCompletionListItem>() {
+        private final transient Map<String, Integer> m;
+
+        private transient Comparator<AutoCompletionListItem> usedValuesAwareComparator = new Comparator<AutoCompletionListItem>() {
                 @Override
                 public int compare(AutoCompletionListItem o1, AutoCompletionListItem o2) {
@@ -258,5 +258,5 @@
             };
 
-        private ListCellRenderer<AutoCompletionListItem> cellRenderer = new ListCellRenderer<AutoCompletionListItem>() {
+        private transient ListCellRenderer<AutoCompletionListItem> cellRenderer = new ListCellRenderer<AutoCompletionListItem>() {
             private final DefaultListCellRenderer def = new DefaultListCellRenderer();
             @Override
@@ -532,5 +532,5 @@
 
     class AddTagsDialog extends AbstractTagsDialog {
-        private List<JosmAction> recentTagsActions = new ArrayList<>();
+        private transient List<JosmAction> recentTagsActions = new ArrayList<>();
 
         // Counter of added commands for possible undo
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ChildRelationBrowser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ChildRelationBrowser.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ChildRelationBrowser.java	(revision 8308)
@@ -58,8 +58,8 @@
     private RelationTree childTree;
     /**  the tree model */
-    private RelationTreeModel model;
+    private transient RelationTreeModel model;
 
     /** the osm data layer this browser is related to */
-    private OsmDataLayer layer;
+    private transient OsmDataLayer layer;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberRoleCellEditor.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberRoleCellEditor.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberRoleCellEditor.java	(revision 8308)
@@ -16,6 +16,6 @@
 public class MemberRoleCellEditor extends AbstractCellEditor implements TableCellEditor {
     private AutoCompletingTextField editor = null;
-    private final DataSet ds;
-    private final Relation relation;
+    private final transient DataSet ds;
+    private final transient Relation relation;
 
     /** user input is matched against this list of auto completion items */
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTable.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTable.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTable.java	(revision 8308)
@@ -45,5 +45,5 @@
     /** the additional actions in popup menu */
     private ZoomToGapAction zoomToGap;
-    private HighlightHelper highlightHelper = new HighlightHelper();
+    private transient HighlightHelper highlightHelper = new HighlightHelper();
     private boolean highlightEnabled;
 
@@ -122,5 +122,5 @@
     }
 
-    private ListSelectionListener highlighterListener = new ListSelectionListener() {
+    private transient ListSelectionListener highlighterListener = new ListSelectionListener() {
             @Override
             public void valueChanged(ListSelectionEvent lse) {
@@ -269,4 +269,7 @@
     private class ZoomToGapAction extends AbstractAction implements LayerChangeListener, ListSelectionListener {
 
+        /**
+         * Constructs a new {@code ZoomToGapAction}.
+         */
         public ZoomToGapAction() {
             putValue(NAME, tr("Zoom to Gap"));
@@ -279,5 +282,6 @@
         }
 
-        private final Collection<Direction> connectionTypesOfInterest = Arrays.asList(WayConnectionType.Direction.FORWARD, WayConnectionType.Direction.BACKWARD);
+        private final transient Collection<Direction> connectionTypesOfInterest = Arrays.asList(
+                WayConnectionType.Direction.FORWARD, WayConnectionType.Direction.BACKWARD);
 
         private boolean hasGap() {
